#### D.4.19.11 preComp

Procedure from library `mprimdec.lib` (see mprimdec_lib).

Usage:
  preComp(N,check[, ann]); modul N, module check, ideal ann

Return:
  (l, check) list l, module check
  the elements of l consists of a triple with
  [1] of type module [2] and [3] of type ideal
  s.th. the intersection of the modules is equal to the zero-dimensional module N, furthermore l[j][3]=annil(l[j][1]) if l[j][2]!=0 then the module l[j][1] is primary
  with associated prime l[j][2],
  and check=intersect(check, l[j][1]) is computed

Note:
  only components not containing check are computed;
  if ann is given, ann is used instead of annil(N)

Example:

    LIB "mprimdec.lib";
    ring r=0,z,lp;
    module N=z*gen(1), (z+1)*gen(2);
    N=std(N);
    list l; module check;
    (l, check)=preComp(N,freemodule(2));
    l;
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=z*gen(1)
    ==>       _[2]=gen(2)
    ==>    [2]:
    ==>       _[1]=z
    ==>    [3]:
    ==>       _[1]=z
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=gen(1)
    ==>       _[2]=z*gen(2)+gen(2)
    ==>    [2]:
    ==>       _[1]=z+1
    ==>    [3]:
    ==>       _[1]=z+1
    check;
    ==> check[1]=z*gen(1)
    ==> check[2]=z*gen(2)+gen(2)

User manual for Singular version 4.4.1, 2025, generated by texi2html.